import axios from '@/common/services/axios-instance'

class AuditReportService {
  // 获取问题金额信息
  getProblemAmount(param) {
    return axios.post(`api/xcoa-mobile/v1/iam-statistics/getAuditFindMoneyList`, param)
  }

  // 问题涉及金额导出
  exportData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportAuditFindMoneyList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  // 年度计划完成情况导出
  exportNDJHData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportPlanCompletionList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  // 年度计划完成情况_项目信息列表穿透导出
  exportNdXmctData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportProjectPassList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  // 人员工作情况统计
  exportUserProjectPassList(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportUserProjectPassList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  // 项目趋势分析导出
  exportXMQSData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportProjectTrendAnalysisList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  // 项目趋势分析/项目执行情况_项目信息列表穿透导出
  exportXmqsQSData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportProjectTrendPassList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  // org项目列表导出
  exportOrgqsQSData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportOrgProjectPassList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  // 审计项目统计_项目信息列表穿透导出
  exportSjxmTjCtData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportAuditProjectPassList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  // 问题涉及金额导出
  exportWTQSData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportFindTrendAnalysisList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  // 问题涉及金额_钻取审计发现列表导出
  exporWTSJCTData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportAuditFindForMoneyList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  // 人员情况统计_钻取审计发现列表导出
  exporRYQKTJData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportUserFindPassList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  //  问题趋势分析_钻取审计发现列表导出
  exportWTQSCTData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportFindTrendPassList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  //  审计发现统计_钻取审计发现列表导出
  exporSJFXTJCTData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportAuditFindList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }

  //  审计发现统计_钻取审计发现列表导出
  exporORGCTData(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-statistics/exportOrgFindPassList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }
}

export default new AuditReportService()
